/*
  The oRTP LinPhone RTP library intends to provide basics for a RTP stack.
  Copyright (C) 2001  Simon MORLAT simon.morlat@linphone.org

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef SESSIONSET_H
#define SESSIONSET_H


#include "rtpport.h"
#include "rtpsession.h"


struct _SessionSet
{
	fd_set rtpset;
};

typedef struct _SessionSet SessionSet;

SessionSet * session_set_new();
#define session_set_init(ss)		FD_ZERO(&(ss)->rtpset)
#define session_set_set(ss,rtpsession)		FD_SET((rtpsession)->mask_pos,&(ss)->rtpset)
#define session_set_is_set(ss,rtpsession)	FD_ISSET((rtpsession)->mask_pos,&(ss)->rtpset)
#define session_set_clr(ss,rtpsession)		FD_CLR((rtpsession)->mask_pos,&(ss)->rtpset)

#define session_set_copy(dest,src)		memcpy(&(dest)->rtpset,&(src)->rtpset,sizeof(fd_set))

void session_set_destroy(SessionSet *set);

	
int session_set_select(SessionSet *recvs, SessionSet *sends, SessionSet *errors);
	
	
#endif